Summary: A console-based network monitoring utility.
Name: iptraf
Version: 2.1.0
Release: 1
Source: ftp://ftp.cebu.mozcom.com/pub/linux/net/%{name}-%{version}.tar.gz
URL: http://cebu.mozcom.com/riker/iptraf
Patch: iptraf-Makefile.patch
Copyright: GPL
Group: Applications/System
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
IPTraf is a console-based network monitoring utility.  IPTraf gathers
data like TCP connection packet and byte counts, interface statistics
and activity indicators, TCP/UDP traffic breakdowns, and LAN station
packet and byte counts.  IPTraf features include an IP traffic monitor
which shows TCP flag information, packet and byte counts, ICMP
details, OSPF packet types, and oversized IP packet warnings;
interface statistics showing IP, TCP, UDP, ICMP, non-IP and other IP
packet counts, IP checksum errors, interface activity and packet size
counts; a TCP and UDP service monitor showing counts of incoming and
outgoing packets for common TCP and UDP application ports, a LAN
statistics module that discovers active hosts and displays statistics
about their activity; TCP, UDP and other protocol display filters so
you can view just the traffic you want; logging; support for Ethernet,
FDDI, ISDN, SLIP, PPP, and loopback interfaces; and utilization of the
built-in raw socket interface of the Linux kernel, so it can be used
on a wide variety of supported network cards.

%prep
%setup -q 
%patch -p1 

%build
# remove prebuilt cruft included in the tarball so that sparc and alpha can
# build properly
rm -f src/{cfconv,iptraf,rvnamed}
make -C src

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT -C src install

gzip $RPM_BUILD_ROOT/usr/man/man8/* ||:

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING INSTALL README README.interfaces README.platforms
%doc README.rvnamed
%doc Documentation
/usr/sbin/iptraf
/usr/sbin/rvnamed
/usr/man/man8/iptraf.8.gz
/usr/man/man8/rvnamed.8.gz
%dir /var/iptraf
%dir /var/log/iptraf


%changelog
* Fri Nov 12 1999 Tim Powers <timp@redhat.com>
- updated to 2.1.0
- gzip man pages

* Wed Jul 28 1999 Tim Powers <timp@redhat.com>
- updated to version 2.0.2
- new patch added to that the spec file isn't out of control
  in the install section
- general spec cleanups
- built for 6.1

* Sat Apr 18 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sat Jan 16 1999 Anders Semb Hermansen <ahermans@vf.telia.no>
- Updated to version 1.4.2
- Used name and version variables in source field

* Wed Jan 6 1999 Anders Semb Hermansen <ahermans@vf.telia.no>
- Maintainer for RHCN: Anders Semb Hermansen
